$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.12.0-RC.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.12.0-RC.msi'
  softwareName = 'Invantive Data Hub'
  checksum = 'F03180820D521877823D5D4D33063B2CD5BF758B147B54F9192F23EEC02BEC06'
  checksumType = 'sha256'
  checksum64 = 'F03180820D521877823D5D4D33063B2CD5BF758B147B54F9192F23EEC02BEC06'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-17.12.0-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
